searchNodes=[{"doc":"A task that bumps your projects version.mix bump major|minor|patch [--pre :string] [--build :string] [--no-pre-hooks] [--no-post-hooks]Examples:$&gt; mix bump patch --pre alpha Running pre-hooks: [] Bumping version from 0.0.2: &quot;0.0.3-alpha&quot; Running post-hooks: []","ref":"Mix.Tasks.Bump.html","title":"Mix.Tasks.Bump","type":"task"},{"doc":"Prints current project version.Examples:$&gt; mix bump.version &quot;0.1.0&quot;","ref":"Mix.Tasks.Bump.Version.html","title":"Mix.Tasks.Bump.Version","type":"task"},{"doc":"Module responsible for the bumping itself.If you are interested in the process of writing and updating files check Versioce.Bumper.Files module.","ref":"Versioce.Bumper.html","title":"Versioce.Bumper","type":"module"},{"doc":"Bumps versions in all the files specified in config + mix.exsExampleiex&gt; Versioce.Bumper.bump([&quot;minor&quot;], &quot;0.0.1&quot;) &quot;0.1.0&quot;","ref":"Versioce.Bumper.html#bump/2","title":"Versioce.Bumper.bump/2","type":"function"},{"doc":"Get current project version.Exampleiex&gt; Versioce.Bumper.current_version {:ok, &quot;0.1.0&quot;}","ref":"Versioce.Bumper.html#current_version/0","title":"Versioce.Bumper.current_version/0","type":"function"},{"doc":"Module that is responsible for updating files in the project.","ref":"Versioce.Bumper.Files.html","title":"Versioce.Bumper.Files","type":"module"},{"doc":"Updates version in files from config from from version to to version.By default only updates first instance of version found. If you want to update version in the whole file set :global key in the config.config :versioce, global: true","ref":"Versioce.Bumper.Files.html#update_version_files/2","title":"Versioce.Bumper.Files.update_version_files/2","type":"function"},{"doc":"Behaviour for post hooks in versioce.A hook can be defined by simply using Versioce.PostHook in a module:defmodule MyProj.Versioce.PreHook do use Versioce.PostHook def run(version) do IO.inspect(version) end endThe run/1 function will receive a version that project was bumped to. It can modify it and make required side-effects but it should return it as result of one hook is piped into next one.","ref":"Versioce.PostHook.html","title":"Versioce.PostHook","type":"behaviour"},{"doc":"A hook needs to implement run which receives a the new version of the project. It should return it as well.","ref":"Versioce.PostHook.html#c:run/1","title":"Versioce.PostHook.run/1","type":"callback"},{"doc":"A simple hook inspecting its arguments.","ref":"Versioce.PostHooks.InspectHook.html","title":"Versioce.PostHooks.InspectHook","type":"module"},{"doc":"Inspect its arguments. More of a helper|debugging hook.","ref":"Versioce.PostHooks.InspectHook.html#run/1","title":"Versioce.PostHooks.InspectHook.run/1","type":"function"},{"doc":"Behaviour for pre hooks in versioce.A hook can be defined by simply using Versioce.PreHook in a module:defmodule MyProj.Versioce.PreHook do use Versioce.PreHook def run(args) do IO.inspect(args) end endThe run/1 function will receive all arguments passed to the bump mix task. It can modify them and make required side-effects but it should return them as result of one hook is piped into next one.","ref":"Versioce.PreHook.html","title":"Versioce.PreHook","type":"behaviour"},{"doc":"A hook needs to implement run which receives a list of command line args for bump task. It should return them as well.","ref":"Versioce.PreHook.html#c:run/1","title":"Versioce.PreHook.run/1","type":"callback"},{"doc":"A simple hook inspecting its arguments.","ref":"Versioce.PreHooks.InspectHook.html","title":"Versioce.PreHooks.InspectHook","type":"module"},{"doc":"Inspect its arguments. More of a helper|debugging hook.","ref":"Versioce.PreHooks.InspectHook.html#run/1","title":"Versioce.PreHooks.InspectHook.run/1","type":"function"},{"doc":"VersioceThis is a simple mix task to bump version of your project. It is heavily inspired by bumpversion.","ref":"readme.html","title":"Versioce","type":"extras"},{"doc":"The package can be installed by adding versioce to your list of dependencies in mix.exs:def deps do [ {:versioce, &quot;~&gt; 0.1.1&quot;} ] end","ref":"readme.html#installation","title":"Versioce - Installation","type":"extras"},{"doc":"Configure the filesYou should let Versioce know what files you want your version bumped in. By default only the files README.md and mix.exs are used. You can add additional files to this list in the configconfig :versioce, files: [ &quot;README.md&quot;, &quot;docker/Dockerfile&quot; ]Note: All file paths should be relative to the mix.exs file. mix.exs will always be used and bumped as it is the core file, from which versioce will pick your current version. This was done in order to remove any additional config files (ex. .bumpversion.cfg in bumpversion).Configure HooksVersioce is agnostic of your VCS(as of now) or other things you need to do. Some people want to generate changelogs, some - automatically notify teammates at slack, publish package to hex, etc.To make it possible - Versioce has Hooks. There are pre hooks and post hooks. Hook is a list of simple elixir modules that have run function in them.Pre hooksAre fired before any of the bumping is done. They receive all the parameters for the bump task as a list of strings. Which they can use for their side-effects. But they are required to return this list.The result of the first hook will be piped into the next one.defmodule MyProj.Versioce.PreHook do use Versioce.PreHook def run(params) do IO.inspect(params) end endAnd in your config:config :versioce, pre_hooks: [MyProj.Versioce.PreHook],After that:&gt; mix bump.version 0.1.0 &gt; mix bump patch Running pre-hooks: [MyProj.Versioce.PreHook] [&quot;patch&quot;] Bumping version from 0.1.0: 0.1.1 Running post-hooks: [] Done.Post hooksWork the same as pre hooks. The only differences are:They are fired after all the version bumpingTheir run function receives a version which was bumped to instead of params.defmodule MyProj.Versioce.PostHook do use Versioce.PostHook def run(version) do IO.inspect(version) end endAnd in your config:config :versioce, post_hooks: [MyProj.Versioce.PostHook],After that:&gt; mix bump.version 0.1.0 &gt; mix bump patch Running pre-hooks: [] Bumping version from 0.1.0: 0.1.1 Running post-hooks: [MyProj.Versioce.PostHook] &quot;0.1.1&quot; Done.Bump your versions!Simply run mix bump with the preferred binding or a ready version.&gt; mix bump.version 0.1.0 &gt; mix bump patch Running pre-hooks: [] Bumping version from 0.1.0: 0.1.1 Running post-hooks: [] Done. &gt; mix bump major Running pre-hooks: [] Bumping version 0.1.1: 1.0.0 Running post-hooks: [] Done. &gt; mix bump 2.0.2 Running pre-hooks: [] Bumping version from 1.1.1: 2.0.2 Running post-hooks: [] Done.You can also add pre-release or build information easily with --pre or --build&gt; mix bump.version 0.1.0 &gt; mix bump --pre alpha.3 Running pre-hooks: [] Bumping version from 0.1.0: 0.1.1-alpha.3 Running post-hooks: [] Done. &gt; mix bump --build 20210101011700.amd64 Running pre-hooks: [] Bumping version from 0.1.1-alpha.3: 0.1.1-alpha.3+20210101011700.amd64 Running post-hooks: [] Done.","ref":"readme.html#usage","title":"Versioce - Usage","type":"extras"},{"doc":"The name Versioce is a play on Italian brand Versace with a word version.It obviously has no connection to it.I obviously lack any creativity or imagination.","ref":"readme.html#the-name","title":"Versioce - The name","type":"extras"},{"doc":"https://github.com/glasnoster/eliverhttps://github.com/oo6/mix-bumphttps://github.com/zachdaniel/git_ops","ref":"readme.html#similar-projects","title":"Versioce - Similar projects","type":"extras"},{"doc":"A huge inspiration for this project was Elixir conf talk by Jeremy SearlsWhich I highly recommend you to watch","ref":"readme.html#some-acknowledgments","title":"Versioce - Some acknowledgments","type":"extras"}]